SingularAttributeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class SingularAttributeImpl<X,Y>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,Y>
          org.hibernate.ejb.metamodel.SingularAttributeImpl<X,Y>

All Implemented Interfaces:
  Serializable, Attribute<X,Y>, Bindable<Y>, SingularAttribute<X,Y>, AttributeImplementor<X,Y>

Direct Known Subclasses:
  SingularAttributeImpl.Identifier, SingularAttributeImpl.Version

    public class SingularAttributeImpl<X,Y>

extends AbstractAttribute<X,Y>
implements SingularAttribute<X,Y>, Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SingularAttributeImpl.Identifier<X,Y>` Subclass used to simply instantiation of singular attributes representing an entity's identifier.
`static class` | `SingularAttributeImpl.Version<X,Y>` Subclass used to simply instantiation of singular attributes representing an entity's version.

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Constructor Summary
`SingularAttributeImpl(String name, Class<Y> javaType, AbstractManagedType<X> declaringType, Member member, boolean isIdentifier, boolean isVersion, boolean isOptional, Type<Y> attributeType, Attribute.PersistentAttributeType persistentAttributeType)`

Method Summary
`Class<Y>` | `getBindableJavaType()`
`Bindable.BindableType` | `getBindableType()`
`Type<Y>` | `getType()`
`boolean` | `isAssociation()`
`boolean` | `isCollection()`
`boolean` | `isId()`
`boolean` | `isOptional()`
`boolean` | `isVersion()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Constructor Detail

### SingularAttributeImpl

    public SingularAttributeImpl(String name,
                                 Class<Y> javaType,
                                 AbstractManagedType<X> declaringType,
                                 Member member,
                                 boolean isIdentifier,
                                 boolean isVersion,
                                 boolean isOptional,
                                 Type<Y> attributeType,
                                 Attribute.PersistentAttributeType persistentAttributeType)

Method Detail

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `SingularAttribute<X,Y>`

### isVersion

    public boolean isVersion()

  Specified by:
    `isVersion` in interface `SingularAttribute<X,Y>`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `SingularAttribute<X,Y>`

### getType

    public Type<Y> getType()

  Specified by:
    `getType` in interface `SingularAttribute<X,Y>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `Attribute<X,Y>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `Attribute<X,Y>`

### getBindableType

    public Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `Bindable<Y>`

### getBindableJavaType

    public Class<Y> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `Bindable<Y>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.